<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.style24</groupId>
		<artifactId>root</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>
	<groupId>com.style24.scm</groupId>
	<artifactId>style24.scm</artifactId>
	<packaging>war</packaging>
	<name>style24.scm</name>
	<description>STYLE24 SCM</description>
	
	<dependencies>
		<!-- Maven module core -->
		<dependency>
			<groupId>com.style24.core</groupId>
			<artifactId>style24-core</artifactId>
			<version>0.0.1</version>
		</dependency>
		<!--// Maven module core -->
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-test</artifactId>
			<scope>test</scope>
		</dependency>
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-thymeleaf</artifactId>
		</dependency>
		<dependency>
			<groupId>nz.net.ultraq.thymeleaf</groupId>
			<artifactId>thymeleaf-layout-dialect</artifactId>
		</dependency>
		
		<!-- /// WEB-INF lib -->
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-core</artifactId>
			<version>1.7.1-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-core-1.7.1-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-security</artifactId>
			<version>1.7.2-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-security-1.7.2-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-parameter</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-parameter-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-rest</artifactId>
			<version>1.7.1-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-rest-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-util</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-util-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-excel</artifactId>
			<version>1.7.2-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-excel-1.7.2-RELEASE.jar</systemPath>
		</dependency>
		<!--KCP-->
		<dependency>
			<groupId>com.kcp</groupId>
			<artifactId>kcp</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/jPpcliE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.kcp</groupId>
			<artifactId>ConnectionKCP</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/ConnectionKCP.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>kr.co.kcp.CT_CLI</groupId>
			<artifactId>CT_CLI</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/CtCli-1.0.6.jar</systemPath>
		</dependency>

		<!-- 네이버페이 -->
		<dependency>
			<groupId>org.apache.axis</groupId>
			<artifactId>axis</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/axis.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.bouncycastle</groupId>
			<artifactId>bouncycastle</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/bcprov-jdk16-138.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>javax.xml</groupId>
			<artifactId>rpc</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/jaxrpc.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.nhncorp</groupId>
			<artifactId>SimpleCryptLib</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/SimpleCryptLib-1.1.0.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.apache.commons.discovery</groupId>
			<artifactId>common-discovery</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/commons-discovery-0.2.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.apache.commons.logging</groupId>
			<artifactId>common-logging</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/commons-logging-1.2.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>javax.xml.soap</groupId>
			<artifactId>saaj</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/saaj.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>wsdl4j</groupId>
			<artifactId>wsdl4j</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/wsdl4j.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jsr173api</groupId>
			<artifactId>jsr173api</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/jsr173_1.0_api.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>xalan</groupId>
			<artifactId>xalan</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/xalan.jar</systemPath>
		</dependency>
		<!-- \\\ WEB-INF lib -->
	</dependencies>
	
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>3.1.0</version>
				<executions>
					<execution>
						<id>copyCore</id>
						<phase>prepare-package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<resources>
								<resource>
									<directory>
										${basedir}/../style24.core/target/classes
									</directory>
									<filtering>
										false
									</filtering>
									<includes>
										<include>**/*</include>
									</includes>
								</resource>
							</resources>
							<outputDirectory>
								${basedir}/target/classes
							</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
		<finalName>${project.name}</finalName>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.xml</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*</include>
				</includes>
			</resource>
		</resources>
	</build>
</project>